CAPNG_NAME_TO_CAPABILITY(3)

NAME
capng_name_to_capability - convert capability text to integer

SYNOPSIS
#include <cap-ng.h>

int capng_name_to_capability(const char *name);

DESCRIPTION

capng_name_to_capability will take the string being passed and look it up to see what its integer value would be. The string being input is the same name as the define in linux/capabiliy.h with the CAP_ prefix removed. The string case does not matter. The integer that is output is the same as the define would be from linux/capabiliy.h. This is useful for taking string input and converting to something that can be used with capng_update.

RETURN VALUE

This returns a negative number on failure and the correct define otherwise.

SEE ALSO

capng_capability_to_name(3), capabilities(7)

AUTHOR
Steve Grubb